﻿Invoke-Command -ComputerName (Get-ADDomain).ReplicaDirectoryServers -ScriptBlock {
    Get-WinEvent -Path C:\Windows\System32\Winevt\Logs\Microsoft-Windows-NTLM%4Operational.evtx | 
        Select-Object -Property @{ n='DC'       ; e={ $env:COMPUTERNAME                                                     } },
                @{ n='Datetime' ; e={ (Get-Date -Date $_.TimeCreated -Format u) -replace 'z'                                } },
                @{ n='Client'   ; e={ (($_.Message -split "`n" | select-string 'Workstation') -split ':')[1].trim()         } },
                @{ n='Server'   ; e={ (($_.Message -split "`n" | select-string 'Secure Channel name') -split ':')[1].trim() } },
                @{ n='Domain'   ; e={ (($_.Message -split "`n" | select-string 'Domain name') -split ':')[1].trim()         } },
                @{ n='User'     ; e={ (($_.Message -split "`n" | select-string 'User name') -split ':')[1].trim()           } }
} | Format-Table -Property DC,Datetime,Client,Server,Domain,User
